/* -----------------------------------------------------GENERAL---------------------------------------------------------- */

* {
    margin: 0;
    padding: 0;
    font-weight: 300;
}
h1,
h2,
h3,
h4,
h5 {
    font-weight: bold;
}

#sec2 h1,
#sec3 h1,
#sec4 h1,
#sec5 h1 {
    color: #FF5851;
}

body {
    font-family: 'Montserrat', sans-serif;
    background-color: rgb(11, 11, 32);
    scroll-behavior: smooth;
    color: rgb(255, 255, 255);
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    letter-spacing: 1px;
}


/* -----------------------------------------------------NAV---------------------------------------------------------- */

header {
    height: 100px;
    z-index: 10;
    position: fixed;
}

header a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    font-size: 25px;
    margin: 25px;
    transition: .3s;
}

.active,
header a:hover {
    color: #FF5851;
}

#navbar ul {
    margin-top: 30px;
}

#burgerNav {
    position: relative;
    left: 30px;
    cursor: pointer;
    display: block;
    justify-content: space-around;
    display: none;
}

#childOne {
    margin-top: 10px;
    height: 8px;
    width: 70px;
    background-color: white;
}

#childTwo {
    margin-top: 10px;
    height: 8px;
    width: 50px;
    background-color: white;
}

.logo {
    position: absolute;
    right: 25px;
    top: 25px;
    width: 60px;
}

#navbar li {
    list-style: none;
}

ul {
    display: flex;
    flex-direction: row;
}

@media only screen and (min-width: 1300px) {
    .fadeout {
        animation: fadenout 0.2s forwards;
    }
    .fadeIn {
        animation: faden 0.2s forwards;
    }
    @keyframes faden {
        0% {
            background-color: rgba(255, 255, 255, 0);
        }
        100% {
            background-color: #1A1925;
        }
    }
    @keyframes fadenout {
        0% {
            background-color: #1A1925;
        }
        100% {
            background-color: rgba(255, 255, 255, 0);
        }
    }
}

@media only screen and (max-width: 1300px) {
    header a {
        position: relative;
        left: 20px;
    }
    #burgerNav {
        display: block;
    }
    #burgerNav {
        margin-top: 30px;
    }
    #navbar {
        justify-content: center;
        background-color: #1A1925;
        padding: 50px;
        z-index: -1;
        position: absolute;
        top: 0;
        visibility: hidden;
        display: block;
    }
    #navbar li {
        width: 200px;
    }
    header ul {
        display: flex;
        flex-direction: column;
    }
    @keyframes shutter-in-left {
        0% {
            -webkit-transform: rotateY(100deg);
            transform: rotateY(100deg);
            -webkit-transform-origin: left;
            transform-origin: left;
            opacity: 0;
        }
        100% {
            -webkit-transform: rotateY(0);
            transform: rotateY(0);
            -webkit-transform-origin: left;
            transform-origin: left;
            opacity: 1;
            visibility: visible;
        }
    }
    @keyframes reshutter-in-left {
        0% {
            -webkit-transform: rotateY(0);
            transform: rotateY(0);
            -webkit-transform-origin: left;
            transform-origin: left;
            opacity: 1;
            visibility: visible;
        }
        100% {
            -webkit-transform: rotateY(100deg);
            transform: rotateY(100deg);
            -webkit-transform-origin: left;
            transform-origin: left;
            opacity: 0;
            z-index: -10;
        }
    }
}

@keyframes rotation {
    0% {
        width: 70px;
    }
    100% {
        width: 50px;
        background-color: #FF5851;
    }
}

@keyframes rerotation {
    0% {
        width: 50px;
        background-color: #FF5851;
    }
    100% {
        width: 70px;
    }
}

@keyframes rotate {
    0% {}
    100% {
        background-color: #FF5851;
    }
}

@keyframes rerotate {
    0% {
        background-color: #FF5851;
    }
    100% {}
}


/* -----------------------------------------------------HEADER SECTION---------------------------------------------------------- */


/* -----------------------------------------------------SECTION 1---------------------------------------------------------- */

.hLine {
    height: 18px;
    width: 220px;
    background-color: #FF5851;
    position: relative;
    top: 57px;
    left: 360px;
    z-index: -1;
}

@media only screen and (max-width: 1089px) {
    .hLine {
        display: none;
    }
}

.s-m {
    display: flex;
    justify-content: center;
}

.s-m a {
    text-decoration: none;
    display: inline-flex;
    width: 50px;
    height: 50px;
    background: #1A1925;
    justify-content: center;
    align-items: center;
    transition: 0.4s;
}

.s-m img {
    width: 28px;
    height: 28px;
}

.f-s-m:hover {
    background: #1677f2;
}

.s-s-m:hover {
    background: #e1306c;
}

.t-s-m:hover {
    background: #0766c2;
}

.s-m a img {
    transition: 0.4s all;
}

.s-m a:hover>img {
    transform: scale(1.6);
}

@media only screen and (min-width: 1089px) {
    #sec1 {
        height: 82vh;
    }
    .sec1Container div {
        margin-top: 140px;
    }
    .sec1Container img {
        width: 250px;
    }
    .sec1Container .s-con {
        margin-top: 150px;
    }
}

@media only screen and (max-width: 1089px) {
    .sec1Container h1,
    .sec1Container p {
        text-align: center;
    }
    .sec1Container .s-con {
        margin-top: 100px;
    }
    .f-con {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

.sec1Container img {
    width: 500px;
    height: 100%;
}

@media only screen and (max-width: 700px) {
    .sec1Container img {
        width: 400px;
    }
}

@media only screen and (max-width: 700px) {
    .sec1Container img {
        width: 250px;
    }
}

.sec1Container p {
    font-size: 25px;
}

.sec1Container h1 {
    font-size: 60px;
}

.sec1Container {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap-reverse;
}

@media only screen and (max-width: 700px) {
    .sec1Container h1 {
        font-size: 50px;
    }
    .sec1Container p {
        font-size: 20px;
    }
}

@media only screen and (max-width: 530px) {
    .sec1Container h1 {
        font-size: 45px;
    }
    .sec1Container p {
        font-size: 18px;
    }
}


/* -----------------------------------------------------SECTION 2---------------------------------------------------------- */

#sec2 img {
    width: 460px;
    height: 578;
}

#sec2 li,
#sec4 li {
    margin: 15px;
}

.s2 {
    position: relative;
    top: 200px;
}

.s2 div {
    margin-top: 30px;
}

@media only screen and (min-width: 1017px) {
    .sec2Text p {
        width: 600px;
    }
}

@media only screen and (max-width: 1016px) {
    .sec2Text {
        margin-top: 80px;
        flex-wrap: wrap;
    }
    .sec2Text p {
        width: 90vw;
    }
}


/* -----------------------------------------------------SECTION 3---------------------------------------------------------- */

.servie-tip h1 {
    position: relative;
    top: 200px;
}

@media only screen and (min-width: 1541px) and (max-width: 3000px) {
    #tCard {
        position: relative;
        right: 250px;
    }
    #sCard {
        position: relative;
        bottom: 40px;
    }
    #fCard {
        position: relative;
        left: 250px;
    }
    .servie-tip h1 {
        position: relative;
        top: 150px;
    }
}

.cardsSec {
    margin-top: 200px;
}

#sec3 .servie-tip {
    text-align: center;
}

.homeCards {
    width: 10rem;
    margin: 15px;
    max-height: 580px;
    min-height: 580px;
}

.card-title {
    margin-top: 20px;
}


/* cards hover  */


/* -------------------------------------------------------- */

.card {
    position: relative;
    /* box-shadow: inset 0px 0px 18px -10px rgba(54, 54, 54, 0.7); */
}

#sCard {
    box-shadow: 3px 8px 24px 4px rgba(0, 0, 0, 0.7);
    z-index: 1;
}


/* Long Card Box */


/* ----------------------------------------------------------------------------------- */

#longBox,
#fullFirstBox,
#fullSecondBox,
#fullThirdBox {
    fill: #ff4a4a;
}

#fCard:hover #longBox {
    transform-box: fill-box;
    animation: LongBoxMove 5s ease-out forwards;
    fill: #A0003C;
}

@keyframes LongBoxMove {
    0% {
        transform: translate(0);
    }
    25% {
        transform: translate(135px, -25px);
    }
    50% {
        transform: translate(125px, 25px);
        fill: rgb(224, 224, 224);
    }
    75% {
        transform: translate(105px, 5px);
        fill: rgb(134, 108, 22);
    }
    100% {
        transform: translate(123px, -32px);
        fill: #fc5c65;
    }
}

#fCard:hover #mountain {
    transform-box: fill-box;
    animation: mountainMove 5s ease-out forwards;
    fill: rgb(255, 255, 255);
}

@keyframes mountainMove {
    0% {
        fill: rgb(255, 186, 255);
    }
    25% {
        fill: rgb(0, 238, 255);
    }
    50% {
        fill: rgb(255, 115, 0);
    }
    75% {
        fill: rgb(255, 93, 93);
    }
    100% {
        fill: #073019;
    }
}


/* SUN   */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #sun {
    transform-box: fill-box;
    animation: sunMove 5s ease-out forwards;
    fill: rgb(255, 255, 255);
}

@keyframes sunMove {
    0% {
        transform: translateY(130%);
        fill: rgb(107, 0, 0);
    }
    25% {
        fill: rgb(219, 0, 0);
    }
    50% {
        fill: rgb(255, 166, 0);
    }
    75% {
        fill: rgb(242, 255, 168);
    }
    100% {
        fill: rgb(255, 251, 0);
        transform: translate(0);
    }
}


/* first card Box */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #fullFirstBox {
    transform-box: fill-box;
    animation: firstBoxMove 5s ease-out forwards;
    fill: #A0003C;
}

@keyframes firstBoxMove {
    0% {
        transform: translate(0);
    }
    25% {
        transform: translate(100px, -45px);
    }
    50% {
        transform: translate(160px, -120px);
        fill: purple;
    }
    75% {
        transform: translate(60px, -80px);
        fill: rgb(0, 168, 56);
    }
    100% {
        transform: translate(89px, -32px);
        fill: #3867d6;
    }
}


/* first card Text */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #firstBoxText {
    transform-box: fill-box;
    animation: firstBoxMoveText 5s ease-out forwards;
    fill: rgb(255, 255, 255);
}

@keyframes firstBoxMoveText {
    0% {
        fill: rgb(255, 186, 255);
    }
    25% {
        fill: rgb(0, 238, 255);
    }
    50% {
        fill: rgb(255, 115, 0);
    }
    75% {
        fill: rgb(0, 0, 0);
    }
    100% {
        fill: rgb(255, 255, 255);
    }
}


/* second card Box */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #fullSecondBox {
    transform-box: fill-box;
    animation: SecondMove 3s ease-out forwards;
    fill: #ffffff;
}

@keyframes SecondMove {
    0% {
        transform: translate(0);
    }
    25% {
        transform: translate(145px, -133px);
    }
    50% {
        transform: translate(105px, -133px);
        fill: rgb(2, 2, 2);
    }
    75% {
        transform: translate(35px, -103px);
        fill: rgb(199, 233, 11);
    }
    100% {
        transform: translate(72px, -83.5px);
        fill: #eb3b5a;
    }
}


/* second card Text */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #secondBoxText {
    transform-box: fill-box;
    animation: secondBoxMoveText 2s ease-out forwards;
    fill: rgb(255, 255, 255);
}

@keyframes secondBoxMoveText {
    0% {
        fill: rgb(255, 186, 255);
    }
    25% {
        fill: rgb(0, 238, 255);
    }
    50% {
        fill: rgb(255, 115, 0);
    }
    75% {
        fill: rgb(0, 0, 0);
    }
    100% {
        fill: rgb(255, 255, 255);
    }
}


/* third card Box */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #fullThirdBox {
    transform-box: fill-box;
    animation: thirdMove 6s ease-out forwards;
    fill: #A0003C;
}

@keyframes thirdMove {
    0% {
        transform: translate(0);
    }
    25% {
        transform: translate(-23px, -44px);
    }
    50% {
        transform: translate(110px, -4px);
        fill: #28d4cc;
    }
    75% {
        transform: translate(63px, -84px);
        fill: rgb(255, 0, 0);
    }
    100% {
        transform: translate(87px, -15.5px);
        fill: #7ab6ff;
    }
}


/* third card Text */


/* ----------------------------------------------------------------------------------- */

#fCard:hover #thirdBoxText {
    animation: thirdBoxMoveText 4s ease-out forwards;
    fill: rgb(255, 255, 255);
}

@keyframes thirdBoxMoveText {
    0% {
        fill: rgb(0, 0, 0);
    }
    25% {
        fill: rgb(0, 68, 255);
    }
    50% {
        fill: rgb(255, 0, 0);
    }
    75% {
        fill: rgb(119, 0, 255);
    }
    100% {
        fill: rgb(255, 255, 255);
    }
}


/* Idea CARD */


/* ----------------------------------------------------------------------------------- */


/* TYPING TEXT */


/* ---------------------------------------------------------*/

.css-typing p {
    border-right: 0.15em solid #ff4a4a;
    white-space: nowrap;
    overflow: hidden;
    margin: 0;
    display: none;
}

#sCard:hover .css-typing p:nth-child(1) {
    width: 11.5em;
    -webkit-animation: type 1.7s steps(40, end);
    animation: type 1.7s steps(40, end);
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(2) {
    width: 11.2em;
    opacity: 0;
    -webkit-animation: type2 1.8s steps(40, end);
    animation: type2 1.8s steps(40, end);
    -webkit-animation-delay: 1.8s;
    animation-delay: 1.8s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(3) {
    width: 5em;
    opacity: 0;
    -webkit-animation: type3 0.3s steps(20, end);
    animation: type3 0.3s steps(20, end);
    -webkit-animation-delay: 3.8s;
    animation-delay: 3.8s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(4) {
    width: 15.9em;
    opacity: 0;
    -webkit-animation: type4 4s steps(40, end);
    animation: type4 4s steps(40, end);
    -webkit-animation-delay: 4.1s;
    animation-delay: 4.1s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(5) {
    width: 19.8em;
    opacity: 0;
    -webkit-animation: type5 5s steps(40, end);
    animation: type5 5s steps(40, end);
    -webkit-animation-delay: 8.1s;
    animation-delay: 8.1s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(6) {
    width: 25.6em;
    opacity: 0;
    -webkit-animation: type6 4s steps(40, end);
    animation: type6 4s steps(40, end);
    -webkit-animation-delay: 13.3s;
    animation-delay: 13.3s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

#sCard:hover .css-typing p:nth-child(7) {
    width: 5.6em;
    opacity: 0;
    -webkit-animation: type7 0.4s steps(40, end), blink 0.5s step-end infinite;
    animation: type7 0.4s steps(40, end), blink 0.5s step-end infinite;
    -webkit-animation-delay: 17.3s;
    animation-delay: 17.5s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    display: block;
}

@keyframes type {
    0% {
        width: 0;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        border: none;
    }
}

@-webkit-keyframes type {
    0% {
        width: 0;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        border: none;
    }
}

@keyframes type2 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type2 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@keyframes type3 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type3 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type4 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@keyframes type4 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type5 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@keyframes type5 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type6 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@keyframes type6 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    99.9% {
        border-right: 0.15em solid #ff4a4a;
    }
    100% {
        opacity: 1;
        border: none;
    }
}

@-webkit-keyframes type7 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

@keyframes type7 {
    0% {
        width: 0;
    }
    1% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}

@keyframes blink {
    50% {
        border-color: transparent;
    }
}

@-webkit-keyframes blink {
    50% {
        border-color: tranparent;
    }
}


/* Glühbirne */


/* ----------------------------------------------------------------------------------- */

#sCard:hover #innerGlow {
    transform-box: fill-box;
    fill: #fffb00;
    animation-name: flicker-in;
    animation-duration: 1s;
    animation-timing-function: normal;
    animation-delay: 0s;
    animation-iteration-count: 18;
    animation-direction: normal;
    animation-fill-mode: none;
}

#sCard:hover #outerGlow {
    transform-box: fill-box;
    fill: #fffb00;
    animation-name: flicker-in;
    animation-duration: 1s;
    animation-timing-function: normal;
    animation-delay: 0s;
    animation-iteration-count: 18;
    animation-direction: normal;
    animation-fill-mode: none;
}

@keyframes flicker-in {
    0% {
        opacity: 1;
    }
    10% {
        opacity: 0;
    }
    11% {
        opacity: 1;
    }
    12% {
        opacity: 0;
    }
    20% {
        opacity: 0;
    }
    21% {
        opacity: 1;
    }
    22% {
        opacity: 1;
    }
    30% {
        opacity: 1;
    }
    31% {
        opacity: 1;
    }
    32% {
        opacity: 0;
    }
    40% {
        opacity: 0;
    }
    41% {
        opacity: 0;
    }
    42% {
        opacity: 0;
    }
    50% {
        opacity: 0;
    }
    51% {
        opacity: 1;
    }
    52% {
        opacity: 1;
    }
    60% {
        opacity: 1;
    }
    61% {
        opacity: 1;
    }
    62% {
        opacity: 0;
    }
    70% {
        opacity: 0;
    }
    71% {
        opacity: 0;
    }
    72% {
        opacity: 0;
    }
    80% {
        opacity: 0;
    }
    81% {
        opacity: 1;
    }
    82% {
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
    91% {
        opacity: 1;
    }
    92% {
        opacity: 1;
    }
    100% {
        opacity: 1;
    }
}


/* pflanze */


/* ----------------------------------------------------------------------------------- */

#sCard:hover #pflanze {
    transform-origin: bottom;
    transform-box: fill-box;
    animation: plantGrow 19s ease-in-out;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@keyframes plantGrow {
    0% {
        transform: scaleX(1);
        transform: scaleY(1);
    }
    100% {
        transform: scale(4.2, 4.2);
    }
}


/* laptop screen change color */


/* ----------------------------------------------------------------------------------- */

#sCard:hover #laptopScreen {
    animation: laptopColor forwards 3s infinite;
    animation-iteration-count: 6;
}

@keyframes laptopColor {
    0% {
        fill: aqua;
    }
    25% {
        fill: rgb(132, 0, 255);
    }
    50% {
        fill: springgreen;
    }
    75% {
        fill: tomato;
    }
    100% {
        fill: white;
    }
}


/* Optimieren Analyse */


/* ----------------------------------------------------------------------------------- */


/* CIRCLE AND HTML TYPING TEXT RESPONSIVE */


/* -------------------------------------------------------- */

@media only screen and (min-width: 0px) and (max-width: 400px) {
    .css-typing {
        position: relative;
        bottom: 224px;
        left: 167px;
        font-size: 4.2px;
    }
    #circleOne {
        position: relative;
        right: 71px;
        top: 55px;
        width: 31px;
    }
    #circleTwo {
        position: relative;
        right: 64px;
        top: 55px;
        width: 31px;
    }
    #circleThree {
        position: relative;
        right: 58px;
        top: 55px;
        width: 31px;
    }
    .percentage {
        font-size: 7px;
        position: relative;
        bottom: 28px;
    }
    .circleChards {
        width: 100px;
    }
    .homeCards {
        min-width: 313px;
        max-width: 313px;
    }
}

@media only screen and (min-width: 400px) and (max-width: 600px) {
    .css-typing {
        position: relative;
        bottom: 269px;
        left: 200px;
        font-size: 5.3px;
    }
    #circleOne {
        position: relative;
        right: 51px;
        top: 35px;
        width: 40px;
    }
    #circleTwo {
        position: relative;
        right: 45px;
        top: 35px;
        width: 40px;
    }
    #circleThree {
        position: relative;
        right: 40px;
        top: 35px;
        width: 40px;
    }
    .percentage {
        font-size: 8px;
        position: relative;
        bottom: 33px;
    }
    .circleChards {
        width: 140px;
    }
    .homeCards {
        min-width: 370px;
        max-width: 370px;
    }
}

@media only screen and (min-width: 600px) and (max-width: 3000px) {
    .css-typing {
        position: relative;
        bottom: 358px;
        left: 265px;
        width: 200px;
        font-size: 5.5px;
    }
    #circleOne {
        position: relative;
        right: 8px;
        top: 1px;
        width: 51px;
    }
    #circleTwo {
        position: relative;
        left: 1px;
        top: 1px;
        width: 51px;
    }
    #circleThree {
        position: relative;
        left: 10px;
        top: 1px;
        width: 51px;
    }
    .circleChards {
        width: 200px;
    }
    .homeCards {
        min-width: 478px;
        max-width: 478px;
    }
    .percentage {
        font-size: 11px;
        position: relative;
        bottom: 38px;
    }
}


/* CIRCLE ANIMATION */


/* ----------------------------------------------------------------------------------- */

.flex-wrapper {
    display: flex;
    flex-flow: row nowrap;
    position: relative;
    bottom: 153px;
    left: 180px;
}

.single-chart {
    width: 33%;
    justify-content: space-around;
}

.circular-chart {
    display: block;
    margin: 10px auto;
    max-width: 80%;
    max-height: 250px;
}

.circle-bg {
    fill: none;
    stroke: #eee;
    stroke-width: 4.1;
}

#tCard:hover .circleOne {
    animation: progress 11s ease-out forwards;
    stroke-dasharray: 94 100;
}

#tCard:hover .circleTwo {
    animation: progress 11s ease-out forwards;
    stroke-dasharray: 100 100;
}

#tCard:hover .circleThree {
    animation: progress 11s ease-out forwards;
    stroke-dasharray: 95 100;
}

.circleOne {
    stroke-dasharray: 20 100;
}

.circleTwo {
    stroke-dasharray: 45 100;
}

.circleThree {
    stroke-dasharray: 30 100;
}

.circleOne,
.circleTwo,
.circleThree {
    transform-box: fill-box;
    stroke: red;
    fill: none;
    stroke-width: 3;
    stroke-linecap: round;
}

@keyframes progress {
    0% {
        stroke-dasharray: 20 100;
        stroke: red;
    }
    25% {
        stroke-dasharray: 20 100;
        stroke: red;
    }
    50% {
        stroke: #ff4a4a;
    }
    100% {
        stroke: rgb(47, 255, 57);
    }
}


/* LUPE */


/* ----------------------------------------------------------------------------------- */

#tCard:hover #lupe {
    animation: lupeMove 11s forwards;
}

@keyframes lupeMove {
    0% {
        transform: translate(0);
    }
    15% {
        transform: translate(-90px, -125px);
    }
    16% {
        transform: translate(-90px, -125px);
    }
    25% {
        transform: translate(-15px, -125px);
    }
    26% {
        transform: translate(-15px, -125px);
    }
    30% {
        transform: translate(0);
    }
    31% {
        transform: translate(0);
    }
    32% {
        transform: translate(0);
    }
    45% {
        transform: translate(105px, -90px);
    }
    46% {
        transform: translate(105px, -90px);
    }
    55% {
        transform: translate(125px, -80px);
    }
    56% {
        transform: translate(125px, -80px);
    }
    69% {
        transform: translate(56px, 0);
    }
    70% {
        transform: translate(56px, 0);
    }
    71% {
        transform: translate(56px, 0);
    }
    80% {
        transform: translate(-90px, -90px);
    }
    82% {
        transform: translate(-90px, -90px);
    }
    85% {
        transform: translate(-15px, -120px);
    }
    86% {
        transform: translate(-15px, -120px);
    }
    95% {
        transform: translate(114px, 0);
    }
    96% {
        transform: translate(114px, 0);
    }
    97% {
        transform: translate(114px, 0);
    }
    100% {
        transform: translate(114px, 0);
    }
}


/* percentage */


/* ----------------------------------------------------------------------------------- */

.percentage {
    display: none;
}

#tCard:hover .percentage {
    color: white;
    font-weight: bold;
    animation: bounce-in-zoomin 1s ease forwards;
    animation-iteration-count: 1s;
    animation-delay: 11s;
    visibility: hidden;
    display: block;
}

@keyframes bounce-in-zoomin {
    0% {
        -webkit-transform: scale(7);
        transform: scale(7);
        animation-timing-function: ease-in;
        opacity: 0;
        display: none;
        visibility: visible;
    }
    35% {
        -webkit-transform: scale(1);
        transform: scale(1);
        animation-timing-function: ease-out;
        opacity: 1;
        visibility: visible;
    }
    55% {
        -webkit-transform: scale(1.5);
        transform: scale(1.5);
        animation-timing-function: ease-in;
        visibility: visible;
    }
    70% {
        -webkit-transform: scale(1);
        transform: scale(1);
        animation-timing-function: ease-out;
        visibility: visible;
    }
    80% {
        -webkit-transform: scale(1.24);
        transform: scale(1.24);
        animation-timing-function: ease-in;
        visibility: visible;
    }
    90% {
        -webkit-transform: scale(1);
        transform: scale(1);
        animation-timing-function: ease-out;
        visibility: visible;
    }
    95% {
        -webkit-transform: scale(1.04);
        transform: scale(1.04);
        animation-timing-function: ease-in;
        visibility: visible;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        animation-timing-function: ease-out;
        visibility: visible;
    }
}

#fCard:hover,
#tCard:hover,
#sCard:hover {
    z-index: 4;
    background-color: #FF5851;
    transform: scale(1.10);
    box-shadow: 3px 8px 24px 4px rgba(0, 0, 0, 0.7);
}

#fCard,
#tCard,
#sCard {
    transition: .3s;
}

#fCard,
#tCard {
    background-color: #1A1925;
}

#sCard {
    background-color: #ffa2a2;
}


/* -----------------------------------------------------SECTION 4---------------------------------------------------------- */

#sec4 {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    /* height: 90vh; */
}

#sec4>div {
    margin-top: 200px;
}

@media only screen and (max-width: 991px) {
    #sec4 p,
    #sec4 h3,
    #sec4 h5 {
        text-align: center;
    }
    .colp {
        min-width: 300px;
    }
    /* #sec4 {
        height: 130vh;
    } */
}

@media only screen and (max-width: 400px) {
    /* #sec4 {
        height: 180vh;
    } */
}

#progressbar {
    background-color: rgb(246, 246, 246);
    border-radius: 13px;
    padding: 3px;
    min-width: 20vw;
    justify-content: space-evenly;
}

.colp>div,
.colt {
    margin: 15px 0 0 0;
}

#progressbar div {
    background-color: #FF5851;
    height: 7px;
    border-radius: 10px;
}

#sec4 div:nth-child(1) #progressbar div {
    width: 100%;
}

#sec4 div:nth-child(2) #progressbar div {
    width: 100%;
}

#sec4 div:nth-child(3) #progressbar div {
    width: 70%;
}

#sec4 div:nth-child(4) #progressbar div {
    width: 90%;
}

#sec4 div:nth-child(5) #progressbar div {
    width: 50%;
}

#sec4 div:nth-child(6) #progressbar div {
    width: 60%;
}

#sec4 div:nth-child(7) #progressbar div {
    width: 70%;
}


/* -----------------------------------------------------SECTION 5---------------------------------------------------------- */

form input:nth-child(-n+4),
textarea {
    width: 50vw;
    min-width: 300px;
    outline: none;
    border: none;
    margin: 10px;
    border-radius: 5px;
    height: 55px;
    background-color: #1A1925;
    color: white;
    text-align: center;
    border: 3px solid #ff557173;
    transition: .3s;
}

form input:focus,
textarea:focus {
    box-shadow: 0px 14px 29px 0px rgba(0, 0, 0, 0.33);
    border: 3px solid #FF5851;
    transform: scale(1.02);
}

::placeholder {
    color: rgb(179, 179, 179);
}

.butn {
    margin-top: 20px;
    font-size: 25px;
    text-align: center;
    background-color: #FF5851;
    border: none;
    height: 55px;
    min-height: 55px;
    padding: 0 20px 0 20px;
    border-radius: 4px;
    color: white;
    box-shadow: 0px 14px 29px 0px rgba(0, 0, 0, 0.33);
    transition: .3s;
    cursor: pointer;
}

.butn:hover {
    box-shadow: none;
}

textarea {
    height: 150px;
    resize: none;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#sec5 div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-top: 200px;
}

#sec5 p {
    width: 600px;
    text-align: center;
}

@media only screen and (max-width: 700px) {
    #sec5 p {
        width: 500px;
    }
}

@media only screen and (min-width: 500px) and (max-width: 700px) {
    #sec5 p {
        width: 400px;
    }
}

@media only screen and (min-width: 350px) and (max-width: 500px) {
    #sec5 p {
        width: 300px;
    }
}

#footer-end a,
#footer-end p {
    color: rgb(206, 206, 206);
    text-decoration: none;
}

#footer-end a:hover {
    text-decoration: underline;
    color: rgb(206, 206, 206);
}